﻿
<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="https://cdn3.devexpress.com/jslib/21.1.6/js/dx.all.js"></script>
<script src="~/js/sweetalert.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/jszip.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/xlsx.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/exceljs.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/FileSaver/FileSaver.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<style>
    .ThongTinTiem,.ThongTinTiem2 {
        display:none;
    }
    .active {
        display:block;
    }
</style>
<script type="text/javascript">
    var flag_fixed = false;
	function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }

    $( document ).ready(function() {
        if (readCookie("DonViChiTiet")) {
            console.log(readCookie("DonViChiTiet"));
            $("#DonVi").val(readCookie("DonViChiTiet"));
            $('.btnLoadDanhSachNhanVien').click();
        } else {
            $('#TongNV').html(0);
                        $('#Mui1').html(0);
                        $('#Mui2').html(0);
                        $('#Mui3').html(0);
                        $('#DKMui3').html(0);
                        $('#ChuaDKMui3').html(0);
                        $('#KhongDKMui3').html(0);
                        $('#KhongThongTin').html(0);
        }
        var uploadE = document.getElementById('upload');
        if (uploadE)
            uploadE.addEventListener('change', handleFileSelect, false);

        $("#exampleModal").delegate("#TinhThanhPho", "change", function () {
            var TinhThanhPho = $('#TinhThanhPho').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetQuanHuyenByTinhThanh", "Staff")',
                data: { TinhThanhPho: TinhThanhPho },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    $('#QuanHuyen').empty();
                    $('#QuanHuyen').append(data);
                },
                error: function (e) {

                }
            });
        }); $("#exampleModal").delegate("#QuanHuyen", "change", function () {
            var TinhThanhPho = $('#TinhThanhPho').val();
            var QuanHuyen = $('#QuanHuyen').val();
            var IdStaff = $('.IdStaff').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetDiaDiemTiemByQuanHuyen", "Staff")',
                data: { IdStaff:IdStaff,TinhThanhPho: TinhThanhPho,QuanHuyen:QuanHuyen },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    $('#Mui1_DiaDiem1').empty();
                    $('#Mui1_DiaDiem1').append(data);
                },
                error: function (e) {

                }
            });
        });
    });
    $("#exampleModal").delegate(".flexRadioDefault", "click", function () {
        var opt = $('input[name=flexRadioDefault]:checked', '#myform').val();
        if (opt == 1) {
            $('.ThongTinTiem').addClass('active');
            $('.ThongTinTiem2').removeClass('active');
        } else if (opt == 2) {
            $('.ThongTinTiem2').addClass('active');
            $('.ThongTinTiem').removeClass('active');
        } else {
            $('.ThongTinTiem2').removeClass('active');
            $('.ThongTinTiem').removeClass('active');
        }
    });

    $('.btnUpdateMui1').click(function () {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        $('.modal-title').html("Thông tin tiêm mũi 1");
        if (selectedRowsData.length == 1) {
            var IdStaff = selectedRowsData[0].StaffId;
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinMui1", "Staff")',
                data: { IdStaff: IdStaff },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    console.log(rs);
                    $('.LoaiMuiTiem').val(1);
                    $('.IdStaff').val(IdStaff);
                    
                    $('#Mui1_TenVacxin1').html(rs.LsTenVacXin);
                    $('#Mui1_SoLo1').val(rs.SoLo);
                    $('#Mui1_NgayTiem1').val(rs.NgayTiem);
                    $('#Mui1_DiaDiem1_Old').val(rs.DiaDiem);
                    $('#Mui1_LyDo').val(rs.LyDo);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);
                    //$(".modal-body").empty();
                    //$(".modal-body").append("<div class='mb-3'>");
                    //$(".modal-body").append("<label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui1_TenVacxin1'>"+rs.LsTenVacXin+"</select>");
                    //$(".modal-body").append("<label class='form-label'>Số lô</label><input type='text' value='" + rs.SoLo + "' class='form-control' id='Mui1_SoLo1'>");
                    //$(".modal-body").append("<label class='form-label'>Ngày tiêm</label><input type='date' value='" + rs.NgayTiem + "' class='form-control' id='Mui1_NgayTiem1'>");
                    //$(".modal-body").append("<label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>");
                    //$(".modal-body").append("<input style='margin-top:10px;color:red;' id='Mui1_DiaDiem1_Old' class='form-control' value='" + rs.DiaDiem + "'></input>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='TinhThanhPho'>"+rs.LsTinhThanh+"</select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id = 'Mui1_DiaDiem1' ></select > ");
                    //$(".modal-body").append("<label class='form-label'>Lý do chưa tiêm</label><input type='text' value='" + rs.LyDo + "' class='form-control' id='Mui1_LyDo'>");
                    //$(".modal-body").append("</div>");
                    $('.btnModal').click();
                },
                error: function (e) {

                }
            });
        } else if (selectedRowsData.length > 1) {
            var IdStaff = "";
            var i = 0;
            for (i = 0; i < selectedRowsData.length; i++) {
                if(i==0) IdStaff = selectedRowsData[i].StaffId;
                else IdStaff += ";" + selectedRowsData[i].StaffId;
            }
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinVacXinTinhThanh", "Staff")',
                data: { IdStaff: -1 },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    $('.LoaiMuiTiem').val(1);
                    $('.IdStaff').val(IdStaff);
                    $('#Mui1_TenVacxin1').html(rs.LsTenVacXin);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);
                    //$(".modal-body").empty();
                    //$(".modal-body").append("<div class='mb-3'>");
                    //$(".modal-body").append("<label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui1_TenVacxin1'>" + rs.LsTenVacXin + "</select>");
                    //$(".modal-body").append("<label class='form-label'>Số lô</label><input type='text' value='' class='form-control' id='Mui1_SoLo1'>");
                    //$(".modal-body").append("<label class='form-label'>Ngày tiêm</label><input type='date' class='form-control' id='Mui1_NgayTiem1'>");
                    //$(".modal-body").append("<label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>");
                    //$(".modal-body").append("<input style='margin-top:10px;color:red;' id='Mui1_DiaDiem1_Old' class='form-control' value=''></input>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='TinhThanhPho'>" + rs.LsTinhThanh + "</select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id = 'Mui1_DiaDiem1' ></select > ");
                    //$(".modal-body").append("<label class='form-label'>Lý do chưa tiêm</label><input type='text' value='' class='form-control' id='Mui1_LyDo'>");
                    //$(".modal-body").append("</div>");
                    $('.btnModal').click();
                }
            });
           
        }else {
            alert("Vui lòng chọn 1 nhân viên");
        }
    });
    $('.btnUpdateMui2').click(function () {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        $('.modal-title').html("Thông tin tiêm mũi 2");
        if (selectedRowsData.length == 1) {
            var IdStaff = selectedRowsData[0].StaffId;
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinMui2", "Staff")',
                data: { IdStaff: IdStaff },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    console.log(rs);
                    $('.LoaiMuiTiem').val(2);
                    $('.IdStaff').val(IdStaff);
                    $('#Mui1_TenVacxin1').html(rs.LsTenVacXin);
                    $('#Mui1_SoLo1').val(rs.SoLo);
                    $('#Mui1_NgayTiem1').val(rs.NgayTiem);
                    $('#Mui1_DiaDiem1_Old').val(rs.DiaDiem);
                    $('#Mui1_LyDo').val(rs.LyDo);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);
                    //$(".modal-body").empty();
                    //$(".modal-body").append("<div class='mb-3'>");
                    //$(".modal-body").append("<label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui1_TenVacxin1'>"+rs.LsTenVacXin+"</select>");
                    //$(".modal-body").append("<label class='form-label'>Số lô</label><input type='text' value='" + rs.SoLo + "' class='form-control' id='Mui1_SoLo1'>");
                    //$(".modal-body").append("<label class='form-label'>Ngày tiêm</label><input type='date' value='" + rs.NgayTiem + "' class='form-control' id='Mui1_NgayTiem1'>");
                    //$(".modal-body").append("<label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>");
                    //$(".modal-body").append("<input style='margin-top:10px;color:red;' id='Mui1_DiaDiem1_Old' class='form-control' value='" + rs.DiaDiem + "'></input>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='TinhThanhPho'>"+rs.LsTinhThanh+"</select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id = 'Mui1_DiaDiem1' ></select > ");
                    //$(".modal-body").append("<label class='form-label'>Lý do chưa tiêm</label><input type='text' value='" + rs.LyDo + "' class='form-control' id='Mui1_LyDo'>");
                    //$(".modal-body").append("</div>");
                    $('.btnModal').click();
                },
                error: function (e) {

                }
            });
        } else if (selectedRowsData.length > 1) {
            var IdStaff = "";
            var i = 0;
            for (i = 0; i < selectedRowsData.length; i++) {
                if(i==0) IdStaff = selectedRowsData[i].StaffId;
                else IdStaff += ";" + selectedRowsData[i].StaffId;
            }
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinVacXinTinhThanh", "Staff")',
                data: { IdStaff: -1 },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    $('.LoaiMuiTiem').val(2);
                    $('.IdStaff').val(IdStaff);
                    $('#Mui1_TenVacxin1').html(rs.LsTenVacXin);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);
                    //$(".modal-body").empty();
                    //$(".modal-body").append("<div class='mb-3'>");
                    //$(".modal-body").append("<label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui1_TenVacxin1'>" + rs.LsTenVacXin + "</select>");
                    //$(".modal-body").append("<label class='form-label'>Số lô</label><input type='text' value='' class='form-control' id='Mui1_SoLo1'>");
                    //$(".modal-body").append("<label class='form-label'>Ngày tiêm</label><input type='date' class='form-control' id='Mui1_NgayTiem1'>");
                    //$(".modal-body").append("<label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>");
                    //$(".modal-body").append("<input style='margin-top:10px;color:red;' id='Mui1_DiaDiem1_Old' class='form-control' value=''></input>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='TinhThanhPho'>" + rs.LsTinhThanh + "</select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id = 'Mui1_DiaDiem1' ></select > ");
                    //$(".modal-body").append("<label class='form-label'>Lý do chưa tiêm</label><input type='text' value='' class='form-control' id='Mui1_LyDo'>");
                    //$(".modal-body").append("</div>");
                    $('.btnModal').click();
                }
            });
           
        }else {
            alert("Vui lòng chọn 1 nhân viên");
        }
    });
    $('.btnUpdateMui3').click(function () {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        $('.modal-title').html("Thông tin tiêm mũi 3");
        if (selectedRowsData.length == 1) {
            var IdStaff = selectedRowsData[0].StaffId;
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinMui3", "Staff")',
                data: { IdStaff: IdStaff },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    console.log(rs);
                    $('.LoaiMuiTiem').val(3);
                    $('.IdStaff').val(IdStaff);
                    $('#Mui1_TenVacxin1').html(rs.LsTenVacXin);
                    $('#Mui1_SoLo1').val(rs.SoLo);
                    $('#Mui1_NgayTiem1').val(rs.NgayTiem);
                    $('#Mui1_DiaDiem1_Old').val(rs.DiaDiem);
                    $('#Mui1_LyDo').val(rs.LyDo);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);

                    //$(".modal-body").empty();
                    //$(".modal-body").append('<div class="mb-3"><div class="form-check"> <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault1"> <label class="form-check-label" for="flexRadioDefault1">Default radio</label></div>');
                    //$(".modal-body").append('<div class="form-check">');
                    //$(".modal-body").append('<input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault2">');
                    //$(".modal-body").append('<label class="form-check-label" for="flexRadioDefault2">Default checked radio</label>');
                    //$(".modal-body").append('</div></div>');
                    //$(".modal-body").append("<div class='mb-3' style='display:none'>");
                    //$(".modal-body").append("<label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui1_TenVacxin1'>"+rs.LsTenVacXin+"</select>");
                    //$(".modal-body").append("<label class='form-label'>Số lô</label><input type='text' value='" + rs.SoLo + "' class='form-control' id='Mui1_SoLo1'>");
                    //$(".modal-body").append("<label class='form-label'>Ngày tiêm</label><input type='date' value='" + rs.NgayTiem + "' class='form-control' id='Mui1_NgayTiem1'>");
                    //$(".modal-body").append("<label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>");
                    //$(".modal-body").append("<input style='margin-top:10px;color:red;' id='Mui1_DiaDiem1_Old' class='form-control' value='" + rs.DiaDiem + "'></input>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='TinhThanhPho'>"+rs.LsTinhThanh+"</select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id = 'Mui1_DiaDiem1' ></select > ");
                    //$(".modal-body").append("<label class='form-label'>Lý do chưa tiêm</label><input type='text' value='" + rs.LyDo + "' class='form-control' id='Mui1_LyDo'>");
                    //$(".modal-body").append("</div>");
                    $('.btnModal').click();
                },
                error: function (e) {

                }
            });
        } else if (selectedRowsData.length > 1) {
            var IdStaff = "";
            var i = 0;
            for (i = 0; i < selectedRowsData.length; i++) {
                if(i==0) IdStaff = selectedRowsData[i].StaffId;
                else IdStaff += ";" + selectedRowsData[i].StaffId;
            }
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinVacXinTinhThanh", "Staff")',
                data: { IdStaff: -1 },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    $('.LoaiMuiTiem').val(3);
                    $('.IdStaff').val(IdStaff);
                    
                    $('#Mui1_TenVacxin1').html(rs.LsTenVacXin);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);

                    //$(".modal-body").empty();
                    //$(".modal-body").append("<div class='mb-3'>");
                    //$(".modal-body").append("<label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui1_TenVacxin1'>" + rs.LsTenVacXin + "</select>");
                    //$(".modal-body").append("<label class='form-label'>Số lô</label><input type='text' value='' class='form-control' id='Mui1_SoLo1'>");
                    //$(".modal-body").append("<label class='form-label'>Ngày tiêm</label><input type='date' class='form-control' id='Mui1_NgayTiem1'>");
                    //$(".modal-body").append("<label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>");
                    //$(".modal-body").append("<input style='margin-top:10px;color:red;' id='Mui1_DiaDiem1_Old' class='form-control' value=''></input>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='TinhThanhPho'>" + rs.LsTinhThanh + "</select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>");
                    //$(".modal-body").append("<select style='margin-top:10px' class='form-control' id = 'Mui1_DiaDiem1' ></select > ");
                    //$(".modal-body").append("<label class='form-label'>Lý do chưa tiêm</label><input type='text' value='' class='form-control' id='Mui1_LyDo'>");
                    //$(".modal-body").append("</div>");
                    $('.btnModal').click();
                }
            });
           
        }else {
            alert("Vui lòng chọn 1 nhân viên");
        }
    });
    $('.btnUpdateF0').click(function () {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        if (selectedRowsData.length == 1) {
            var IdStaff = selectedRowsData[0].StaffId;
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinF0", "Staff")',
                data: { IdStaff: IdStaff },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    $('.IdStaff').val(IdStaff);
                    $('#NgayBiNhiem').val(rs.NgayBiNhiem);
                    $('#NgayXuatVien').val(rs.NgayXuatVien);
                    $('.btnModalF0').click();
                },
                error: function (e) {

                }
            });
        } else {
            alert("Vui lòng chọn 1 nhân viên");
        }
    });
    $('.btnUpdateDaNghi').click(function () {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        if (selectedRowsData.length >= 1) {
            var IdStaff = "";
            var i = 0;
            for (i = 0; i < selectedRowsData.length; i++) {
                if(i==0) IdStaff = selectedRowsData[i].StaffId;
                else IdStaff += ";" + selectedRowsData[i].StaffId;
            }
            var cf = confirm("Bạn muốn cập nhật tình trạng là [Đã nghỉ] cho [" + selectedRowsData.length + "] nhân viên đã chọn?");
            if (cf) {
                $.ajax({
                    type: "POST",
                    url: '@Url.Action("LuuDaNghi", "Staff")',
                    data: { IdStaff: IdStaff },
                    dataType: 'text',
                    success: function (data) {
                        alert('Đã cập nhật thành công');
                        window.location.reload();
                    },
                    error: function (e) {

                    }
                });
            }
        } else {
            alert("Vui lòng chọn ít nhất 1 nhân viên");
        }
    });
    $('.btnLuuThongTinMui').click(function () {
        
        var LoaiMuiTiem = $('.LoaiMuiTiem').val();
        var Mui1_TenVacxin1 = $('#Mui1_TenVacxin1').val();
        var Mui1_SoLo1 = $('#Mui1_SoLo1').val();
        var Mui1_NgayTiem1 = $('#Mui1_NgayTiem1').val();
        var Mui1_DiaDiem1 = $('#Mui1_DiaDiem1').val();
        var Mui1_LyDo = $('#Mui1_LyDo').val();
        var Mui1_DiaDiem1_Old = $('#Mui1_DiaDiem1_Old').val();
        var IdStaff = $('.IdStaff').val();
        var opt = $('input[name=flexRadioDefault]:checked', '#myform').val();
        console.log(opt);

        var x = IdStaff.split(';').length;
        if (x > 1) {
            var rs = confirm("Bạn muốn cập nhật thông tin trên cho [" + x + "] nhân viên đang chọn?");
            if (rs == true) {
                if (opt == 1) {
                    if (Mui1_TenVacxin1 != "" && Mui1_NgayTiem1 != "") {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinMui", "Staff")',
                            data: { IdStaff: IdStaff, LoaiMuiTiem: LoaiMuiTiem, Mui1_TenVacxin1: Mui1_TenVacxin1, Mui1_SoLo1: Mui1_SoLo1, Mui1_NgayTiem1: Mui1_NgayTiem1, Mui1_DiaDiem1: Mui1_DiaDiem1, Mui1_LyDo: Mui1_LyDo, Mui1_DiaDiem1_Old: Mui1_DiaDiem1_Old },
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    } else {
                        alert("Vui lòng điền đủ thông tin ngày tiêm và tên mũi tiêm!");
                    }
                } else if (opt == 2) {
                    if (Mui1_LyDo != null && Mui1_LyDo!="") {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinMui_KhongTiem", "Staff")',
                            data: { IdStaff: IdStaff, LoaiMuiTiem: LoaiMuiTiem, Mui1_LyDo: Mui1_LyDo},
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    }
                } else {
                    var rs1 = confirm("Bạn muốn xóa dữ liệu mũi tiêm " + LoaiMuiTiem + " của ["+x+"] nhân viên đang chọn?");
                    if (rs1 == true) {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinMui_XoaThongTinTiem", "Staff")',
                            data: { IdStaff: IdStaff, LoaiMuiTiem: LoaiMuiTiem},
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    }
                }
            }
        } else {
            if (opt == 1) {
                if (Mui1_TenVacxin1 != "" && Mui1_NgayTiem1 != "") {
                    $.ajax({
                        type: "POST",
                        url: '@Url.Action("LuuThongTinMui", "Staff")',
                        data: { IdStaff: IdStaff, LoaiMuiTiem: LoaiMuiTiem, Mui1_TenVacxin1: Mui1_TenVacxin1, Mui1_SoLo1: Mui1_SoLo1, Mui1_NgayTiem1: Mui1_NgayTiem1, Mui1_DiaDiem1: Mui1_DiaDiem1, Mui1_LyDo: Mui1_LyDo, Mui1_DiaDiem1_Old: Mui1_DiaDiem1_Old },
                        dataType: 'text',
                        success: function (data) {
                            alert('Đã cập nhật thành công');
                            window.location.reload();
                        },
                        error: function (e) {

                        }
                    });
                } else {
                    alert("Vui lòng điền đủ thông tin ngày tiêm và tên mũi tiêm!");
                }
            } else if (opt==2) {
                 if (Mui1_LyDo != null && Mui1_LyDo!="") {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinMui_KhongTiem", "Staff")',
                            data: { IdStaff: IdStaff, LoaiMuiTiem: LoaiMuiTiem, Mui1_LyDo: Mui1_LyDo},
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    }
            }else {
                    var rs1 = confirm("Bạn muốn xóa dữ liệu mũi tiêm " + LoaiMuiTiem + " của nhân viên này?");
                    if (rs1 == true) {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinMui_XoaThongTinTiem", "Staff")',
                            data: { IdStaff: IdStaff, LoaiMuiTiem: LoaiMuiTiem},
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    }
                }
        } 

        
    });
    $('.btnLuuThongTinF0').click(function () {
        var IdStaff = $('.IdStaff').val();
        var NgayBiNhiem = $('#NgayBiNhiem').val();
        var NgayXuatVien = $('#NgayXuatVien').val();
        if (NgayBiNhiem != "" && NgayXuatVien != "") {
            $.ajax({
                type: "POST",
                url: '@Url.Action("LuuThongTinF0", "Staff")',
                data: { IdStaff: IdStaff, NgayBiNhiem: NgayBiNhiem, NgayXuatVien: NgayXuatVien },
                dataType: 'text',
                success: function (data) {
                    alert('Đã cập nhật thành công');
                    window.location.reload();
                },
                error: function (e) {

                }
            });
        } else {
            alert("Vui lòng đủ thông tin ngày nhiễm và ngày khỏi!");
        }
    });
    $('.btnLoadDanhSachNhanVien').click(function () {
        var IdDonVi = $('#DonVi').val();
        if (IdDonVi != "") {
            createCookie("DonViChiTiet", IdDonVi);
            $.ajax({
            type: "GET",
            url: '@Url.Action("GetAllNhanVienByDonViId", "Staff")',
            dataType: 'text',
            data: {IdDonVi:IdDonVi},
            success: function (data) {
                console.log(JSON.parse(data));
                $("#gridContainer").dxDataGrid({
                    dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width:50,
                            fixed: true,
                            fixedPosition: "left",
                            allowEditing: false
                        },
                        {
                            dataField: "VungCovid",
                            caption: "Vùng dịch",allowEditing: false ,
                            cellTemplate: function (container, options) {
                                 if (options.value == "đang cập nhật") {
                                    $("<span style='background-color:#c6c6c6;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cam") {
                                    $("<span style='background-color:#ebb192;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cận xanh") {
                                    $("<span style='background-color:#b4d7a2;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng vàng") {
                                    $("<span style='background-color:#e1da96;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng xanh") {
                                    $("<span style='background-color:#46e7a4;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng đỏ") {
                                    $("<span style='background-color:#c67070;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "chưa có tổ dân phố") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append("chưa có tổ dân phố").appendTo(container);
                                }
                            }
                        },{
                            dataField: "HoTen",
                            caption: "Họ tên nhân viên",
                            allowEditing: false
                        },
                        {
                            dataField: "DienThoai",
                            caption: "Điện thoại",allowEditing: false ,
                        },
                        {
                            dataField: "CMND",
                            caption: "CMND",allowEditing: false ,
                        },
                        {
                            dataField: "DangKyTiemMui3",
                            caption: "Đăng ký tiêm mũi 3",
                            allowEditing: false,
                            cellTemplate: function (container, options) {
                                if (options.value == "1" || options.value == 1) {
                                    $("<span style='color:white;background-color:green;width: 100%;display: block;padding: 3px 5px;    text-align: center;'>").append("Đã đăng ký").appendTo(container);
                                } else if (options.value == "2" || options.value == 2) {
                                    $("<span style='color:white;background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;    text-align: center;'>").append("Đã tiêm").appendTo(container);
                                } else if (options.value == "3" || options.value == 3) {
                                    $("<span style='color:white;background-color:#123;width: 100%;display: block;padding: 3px 5px;    text-align: center;'>").append("Không tiêm").appendTo(container);
                                }else{
                                     $("<span style='color:white;background-color:#ccc;width: 100%;display: block;padding: 3px 5px;'>").append("Chưa đăng ký").appendTo(container);
                                }
                            }
                        },
                        {
                                caption: "Thông tin mũi 1",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption: "Loại vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui1_TenVacxin",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Lô vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui1_SoLo",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Ngày tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"3",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui1_NgayTiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Địa điểm tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"4",
                                            headerCellTemplate: function (container) {
                                                container.html('4').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui1_DiaDiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Lý do chưa tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"5",
                                            headerCellTemplate: function (container) {
                                                container.html('5').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui1_LyDo",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                        },
                        {
                                caption: "Thông tin mũi 2",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption: "Loại vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui2_TenVacxin",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Lô vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui2_SoLo",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Ngày tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"3",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui2_NgayTiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Địa điểm tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"4",
                                            headerCellTemplate: function (container) {
                                                container.html('4').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui2_DiaDiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Lý do chưa tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"5",
                                            headerCellTemplate: function (container) {
                                                container.html('5').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui2_LyDo",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                        },
                        {
                                caption: "Thông tin mũi 3",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption: "Loại vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui3_TenVacxin",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Lô vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui3_SoLo",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Ngày tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"3",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui3_NgayTiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Địa điểm tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"4",
                                            headerCellTemplate: function (container) {
                                                container.html('4').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui3_DiaDiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Lý do chưa tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"5",
                                            headerCellTemplate: function (container) {
                                                container.html('5').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui3_LyDo",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                        },
                        {
                                caption: "Thông tin F0",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption: "Ngày mắc",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "NgayBiNhiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Ngày khỏi",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "NgayXuatVien",
                                            alignment: "center"
                                        }]
                                    },
                                ]
                        },
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },selection: {
                        mode: "multiple"
                    },
                    paging: { enabled: false },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    }, export: {
                        enabled: true
                    },
                    onEditorPreparing: function(e) {  
                      if (e.parentType=='headerRow' && e.command=='select') {  
                          e.editorElement.remove();  
                      }  
                    },  
                    onExporting(e) {
                      const workbook = new ExcelJS.Workbook();
                      const worksheet = workbook.addWorksheet('Sheet 1');
                      var borderStylePattern = { style: 'thick', color: { argb: 'FF7E7E7E' } };
                      DevExpress.excelExporter.exportDataGrid({
                        component: e.component,
                        worksheet,
                        //topLeftCell: { row: 0, column: 1 },
                      }).then((cellRange) => {


                      }).then(() => {
                        workbook.xlsx.writeBuffer().then((buffer) => {
                          saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'danh-sach-theo-doi-tiem-vacxin.xlsx');
                        });
                      });
                      e.cancel = true;
                    },
                });

            },
            error: function (e) {

            }
            });

            // load thong ke
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongKeMuiTiemTheoDonVi", "Staff")',
                data: { IdDonVi: IdDonVi },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data != "") {
                        var rs = JSON.parse(data)[0];
                        console.log(rs);
                        $('#TongNV').html(rs.TongNV);
                        $('#Mui1').html(rs.Mui1);
                        $('#Mui2').html(rs.Mui2);
                        $('#Mui3').html(rs.Mui3);
                        $('#DKMui3').html(rs.DKMui3);
                        $('#ChuaDKMui3').html(rs.ChuaDKMui3);
                        $('#KhongDKMui3').html(rs.KhongDKMui3);
                        $('#KhongThongTin').html(rs.KhongThongTin);
                    } 
                },
                error: function (e) {

                }
            });
        }
    });

    $('.btnDangKyMui3').click(function () {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        console.log(selectedRowsData);
        jQuery("#loading").fadeIn();
        if (selectedRowsData.length > 0) {
            if (selectedRowsData.length == 1) {
                var IdStaff = selectedRowsData[0].StaffId;
                $.ajax({
                    type: "POST",
                    url: '@Url.Action("UpdateTiemMui3_1Nguoi", "Staff")',
                    data: { IdStaff: IdStaff, GiaTri:1},
                    dataType: 'text',
                    success: function (data) {
                        if (data == "") {
                            //alert("Đăng ký thành công");
                            window.location.reload();
                        } else {
                            alert(data);
                        }
                        jQuery("#loading").fadeOut();
                    },
                    error: function (e) {
                    }
                });
            } else {
                var chk = 0;
                for (i = 0; i < selectedRowsData.length; i++) {
                    console.log(selectedRowsData[i]);
                    var IdStaff = selectedRowsData[i].StaffId;
                    funcUpdateTiemMui3(IdStaff, 1).then(function (data) {
                        chk++;
                        if (chk == selectedRowsData.length) {
                            jQuery("#loading").fadeOut();
                            window.location.href = '@Url.Action("TheoDoiTiemVacxin", "Staff")';
                        }
                    }).catch(function (err) {
                        chk++;
                        if (chk == selectedRowsData.length) {
                            jQuery("#loading").fadeOut();
                            window.location.href = '@Url.Action("TheoDoiTiemVacxin", "Staff")';
                        }
                    });
                }
            }
        } else {
            jQuery("#loading").fadeOut();
            alert("Vui lòng chọn nhân viên");
        }

    });
    $('.btnHuyDangKyMui3').click(function () {
        var cf = confirm("Bạn muốn hủy đăng ký cho các dòng đã chọn?");
        if (cf) {
            var dataGrid = $("#gridContainer").dxDataGrid("instance");
            var selectedRowsData = dataGrid.getSelectedRowsData();
            console.log(selectedRowsData);
            jQuery("#loading").fadeIn();
            if (selectedRowsData.length > 0) {
                if (selectedRowsData.length == 1) {
                    var IdStaff = selectedRowsData[0].StaffId;
                    $.ajax({
                        type: "POST",
                        url: '@Url.Action("UpdateTiemMui3_1Nguoi", "Staff")',
                        data: { IdStaff: IdStaff, GiaTri:0},
                        dataType: 'text',
                        success: function (data) {
                            if (data == "") {
                                //alert("Đã hủy đăng ký");
                                window.location.reload();
                            } else {
                                 jQuery("#loading").fadeOut();
                                alert(data);
                            }
                        },
                        error: function (e) {
                        }
                    });
                }else{
                    var chk = 0;
                    for (i = 0; i < selectedRowsData.length; i++) {
                        console.log(selectedRowsData[i]);
                        var IdStaff = selectedRowsData[i].StaffId;
                        funcUpdateTiemMui3(IdStaff, 0).then(function (data) {
                            chk++;
                            if (chk == selectedRowsData.length) {
                                jQuery("#loading").fadeOut();
                                window.location.href = '@Url.Action("TheoDoiTiemVacxin", "Staff")';
                            }
                        }).catch(function (err) {
                            chk++;
                            if (chk == selectedRowsData.length) {
                                jQuery("#loading").fadeOut();
                                window.location.href = '@Url.Action("TheoDoiTiemVacxin", "Staff")';
                            }
                        });
                    }
                }
            } else {
                jQuery("#loading").fadeOut();
                alert("Vui lòng chọn nhân viên");
            }
        }
    });
    function funcUpdateTiemMui3(IdStaff,GiaTri) {
        return new Promise(function (resolve, reject) {
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateTiemMui3", "Staff")',
                data: { IdStaff: IdStaff, GiaTri:GiaTri},
                dataType: 'text',
                success: function (data) {
                    resolve(data);
                },
                error: function (e) {
                    reject(err);

                }
            });

      });
    }

    $('.btnImport').click(function () {
        $('#upload').click();
    });
    var ExcelToJSON =   function () {
        //jQuery("#loading").fadeIn();
        this.parseExcel = function (file) {
            var reader = new FileReader();
            reader.onload = function (e) {
                var data = e.target.result;
                var workbook = XLSX.read(data, {
                    type: 'binary'
                });
                workbook.SheetNames.forEach(function (sheetName) {
                    // Here is your object
                    if (sheetName == "Import") {
                        jQuery("#loading").fadeIn();
                        var XL_row_object = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[sheetName]);
                        var json_object = JSON.stringify(XL_row_object);
                        var lsNhanVien = JSON.parse(json_object);
                        CheckData(lsNhanVien);
                    }
                })
            };
            reader.onerror = function (ex) {
                console.log(ex);
            };
            reader.readAsBinaryString(file);
        };
    };
    function handleFileSelect(evt) {
        var files = evt.target.files; // FileList object
        var xl2json = new ExcelToJSON();
        xl2json.parseExcel(files[0]);
    }
    async function CheckData(lsNhanVien) {
        await KiemTra(lsNhanVien);
    }
    var i_chk = 0;
    var loi_chk = "";
    function KiemTra(lsNhanVien) {
        console.log(i_chk);
        var IdDonVi = $('#DonVi').val();
        if (i_chk < lsNhanVien.length) {
            var NhanVien = lsNhanVien[i_chk];
            $.ajax({
                type: "POST",
                url: '@Url.Action("KiemTraNhanVienImport", "Staff")',
                data: {
                    IdDonVi: IdDonVi,
                    CMND: NhanVien["CMND"],
                    DangKy: NhanVien["Đăng ký"]
                },
                dataType: 'text',
                success: function (data) {
                    loi_chk += data;
                    i_chk++;
                    if (data != "") {
                        jQuery("#loading").fadeOut();
                        swal({
                            title: "Lỗi",
                            text: data,
                            type: 'warning',
                            showCancelButton: false,
                        },
                            function (isConfirm) {
                                if (isConfirm) {
                                    window.location.reload();
                                }
                            }
                        );
                    } else {
                        KiemTra(lsNhanVien);
                    }
                }
            });
        } else {
            if (loi_chk == "") {
                var i = 0; var chk = 0;
                for (i = 0; i < lsNhanVien.length; i++) {
                    if (i => 0) {
                        LuuNhanVienImport(lsNhanVien[i]).then(function (data) {
                            chk++;
                            if (chk == lsNhanVien.length) {

                                jQuery("#loading").fadeOut();
                                swal({
                                    title: "Thành công",
                                    text: "Đã đăng ký thành công [" + lsNhanVien.length +"] nhân viên trong file!",
                                    type: 'success',
                                    confirmButtonColor: "#DD6B55",
                                    showCancelButton: false,
                                },
                                    function (isConfirm) {
                                        if (isConfirm) {
                                            window.location.reload();
                                        }
                                    }
                                );
                            }
                        }).catch(function (err) {
                            jQuery("#loading").fadeOut();
                            console.log(err);
                            chk++;
                            if (chk == lsNhanVien.length) {
                                swal({
                                    title: "Lỗi lưu nhân viên vào phiếu",
                                    text: "Vui lòng thử lại hoặc liên hệ TISC",
                                    type: 'error',
                                    showCancelButtonClass: 'OK'
                                });
                            }
                        });
                    }
                }
            }
        }
    }
    function LuuNhanVienImport(NhanVien) {
        var IdDonVi = $('#DonVi').val();
        return new Promise(function (resolve, reject) {
          $.ajax({
                type: "POST",
                url: '@Url.Action("LuuNhanVienImport", "Staff")',
              data: {
                    IdDonVi: IdDonVi,
                    CMND: NhanVien["CMND"],
                    DangKy: NhanVien["Đăng ký"]
                },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "201") {
                        resolve(data);
                    } else {
                        resolve("");
                    }
                },
              error: function (e) {
                  reject(err);
                    swal({
                        title: "Lỗi cập nhật đăng ký tiêm",
                        text: "Vui lòng thử lại hoặc liên hệ TISC",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
      });
    }
</script>